Bug 154116 - [cmake] Consolidate building of GStreamer and OpenWebRTC code.
Summary: [cmake] Consolidate building of GStreamer and OpenWebRTC code.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-11 10:24 PST by Konstantin Tokarev
Modified: 2016-02-13 11:12 PST (History)
6 users (show)

See Also:


Attachments
Patch (15.55 KB, patch)
2016-02-11 10:27 PST, Konstantin Tokarev
no flags Details | Formatted Diff | Diff
Patch (15.58 KB, patch)
2016-02-11 11:59 PST, Konstantin Tokarev
no flags Details | Formatted Diff | Diff
Patch (15.72 KB, patch)
2016-02-12 09:55 PST, Konstantin Tokarev
no flags Details | Formatted Diff | Diff
Patch (15.72 KB, patch)
2016-02-12 10:00 PST, Konstantin Tokarev
no flags Details | Formatted Diff | Diff
Patch (15.56 KB, patch)
2016-02-13 08:11 PST, Konstantin Tokarev
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Tokarev 2016-02-11 10:24:37 PST
Eleminated large duplication between GTK and Efl.
Comment 1 Konstantin Tokarev 2016-02-11 10:27:01 PST
Created attachment 271063 [details]
Patch
Comment 2 Konstantin Tokarev 2016-02-11 11:59:59 PST
Created attachment 271071 [details]
Patch
Comment 3 Alex Christensen 2016-02-11 20:35:03 PST
Comment on attachment 271071 [details]
Patch

I think OpenWebRTC and GStreamer are separate enough to be in different platform files.  One could, theoretically use OpenWebRTC without GStreamer
Comment 4 Philippe Normand 2016-02-12 03:22:57 PST
(In reply to comment #3)
> Comment on attachment 271071 [details]
> Patch
> 
> I think OpenWebRTC and GStreamer are separate enough to be in different
> platform files.  One could, theoretically use OpenWebRTC without GStreamer

I don't see how this could work because currently OpenWebRTC internally depends on GStreamer anyway.
Comment 5 Michael Catanzaro 2016-02-12 07:46:37 PST
Comment on attachment 271071 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=271071&action=review

Seems like this is indeed the best place for OpenWebRTC, then.

> Source/WebCore/platform/GStreamer.cmake:5
> +list(APPEND WebCore_SOURCES

I think you can conditionally append these files to WebCore_SOURCES in the ENABLE_VIDEO OR ENABLE_WEB_AUDIO condition below; then in a follow-up we could remove the preprocessor guards from the files.
Comment 6 Konstantin Tokarev 2016-02-12 09:55:50 PST
Created attachment 271180 [details]
Patch
Comment 7 Konstantin Tokarev 2016-02-12 10:00:36 PST
Created attachment 271182 [details]
Patch
Comment 8 Konstantin Tokarev 2016-02-13 08:11:58 PST
Created attachment 271283 [details]
Patch
Comment 9 Konstantin Tokarev 2016-02-13 08:14:17 PST
ImageGStreamerCairo.cpp should go to Cairo.cmake under if(USE_GSTREAMER), not to GStreamer.cmake.
Comment 10 WebKit Commit Bot 2016-02-13 11:12:29 PST
Comment on attachment 271283 [details]
Patch

Clearing flags on attachment: 271283

Committed r196552: <http://trac.webkit.org/changeset/196552>
Comment 11 WebKit Commit Bot 2016-02-13 11:12:34 PST
All reviewed patches have been landed.  Closing bug.